import java.io.IOException;
import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.hbase.HBaseConfiguration;
import org.apache.hadoop.hbase.MasterNotRunningException;
import org.apache.hadoop.hbase.ZooKeeperConnectionException;
import org.apache.hadoop.hbase.client.Delete;
import org.apache.hadoop.hbase.client.HBaseAdmin;
import org.apache.hadoop.hbase.client.HTable;

public class DeleteDemo3 {
	static Configuration conf = null;
	static{
		conf = HBaseConfiguration.create();
		conf.set("hbase.rootdir", " hdfs://192.168.254.128:9000/hbase ");
		conf.set("hbase.master", "hdfs:// 192.168.254.128:60000");
		conf.set("hbase.zookeeper.property.clientPort", "2181");
		conf.set("hbase.zookeeper.quorum", "master,slave1,slave2");
	}
	
	public static void dropTable(String tableName) throws Exception {
		HBaseAdmin admin=new HBaseAdmin(conf);
		if (admin.tableExists(tableName)) {  
			admin.disableTable(tableName);
			admin.deleteTable(tableName); 
        }  
        System.out.println("delete success");
		
	}

	public static void main(String[] args) throws Exception {
		dropTable("stu");
	}
}